EDIT - bug #9728

NoSuchMethodException Team.areNomenclaturalTitle() breaks authortem editors
07/30/2021 11:46 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.26

Severity: blocker Found in Version:

Description

java.lang.NoSuchMethodException: eu.etaxonomy.cdm.model.agent.Team.areNomenclaturalTitle ()
at java.lang.Class.getMethod(Class.java:1786)
at com.vaadin.data.util.MethodProperty.initGetterMethod (MethodProperty.java:547)
at com.vaadin.data.util.NestedMethodProperty.initialize (NestedMethodProperty. java:145)
at com.vaadin.data.util.NestedMethodProperty.<init> (NestedMethodProperty. java:96)
at com.vaadin.data.util.BeanItem.addNestedProperty (BeanItem. java:254)
at com.vaadin.data.fieldgroup.BeanFieldGroup.ensureNestedPropertyAdded (BeanFieldGroup. java:147

at com.vaadin.data.fieldgroup.BeanFieldGroup.bind (BeanFieldGroup.java:154)

at eu.etaxonomy.vaadin.component.SwitchableTextField.bindTo (SwitchableTextField. java:98)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.setInternalValue (TeamOrPersonFie
1d. java:203)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.setInternalValue (TeamOrPersonFie
1d.java:57)

at com.vaadin.ui.AbstractField.setValue (AbstractField. java:526)

at eu.etaxonomy.cdm.vaadin.component.common.TeamOrPersonField.lambda$initContent$d3203346S$3 (Te
amOrPersonField. java:141)

Related issues:
Related to EDIT - feature request #9664: Add nomenclaturalTitleCache to TeamO... Resolved
Related to EDIT - bug #9729: Incomplete bean property Team.nomenclaturalTitle... Closed

Associated revisions

Revision 135329fc - 07/30/2021 02:31 PM - Andreas Kohlbecker

fix #9728 completing bean property Team.nomenclaturalTitleCache

Revision 1810fb30 - 07/30/2021 02:32 PM - Andreas Kohlbecker

fix #9728 updating field binding to renamed bean property Team.nomenclaturalTitleCache

Revision 5e7ceaad - 09/01/2021 12:47 PM - Andreas Miiller
ref #9729, #9728, #9664 Adapt handling of nomenclaturalTitleCache setter and javadoc

Revision a32f4c74 - 09/01/2021 01:03 PM - Andreas Miiller
ref #9729, #9728, #9664 remove calls to deprecated method setNomenclaturalTitle

Revision ¢25885b8 - 09/01/2021 01:08 PM - Andreas Miiller
ref #9729, #9728, #9664 remove deprecated method setNomenclaturalTitle

History

#1 - 07/30/2021 12:20 PM - Andreas Kohlbecker

- Related to feature request #9664: Add nomenclaturalTitleCache to TeamOrPersonBase added

#2 - 07/30/2021 02:30 PM - Andreas Kohlbecker
- Related to bug #9729: Incomplete bean property Team.nomenclaturalTitleCache added

#3 - 07/30/2021 02:31 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|135329fcb6fdfd546e6743cbdbf4c23aebb4dbfb.

#4 - 08/02/2021 02:45 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Target version changed from Release 5.45 to Release 5.26

- % Done changed from 50 to 100

#5 - 09/01/2021 01:18 PM - Andreas Miiller

| made some adaptations to the changes. See also #97294#note-4
